#ifndef LCD_H
#define LCD_H

#define SPEC_CHAR0		0
#define SPEC_CHAR1		1
#define SPEC_CHAR2		2
#define SPEC_CHAR3		3
#define SPEC_CHAR4		4
#define SPEC_CHAR5		5
#define SPEC_CHAR6		6
#define SPEC_CHAR7		7


//---------------------------------------------------
void LCDInit(void);
void LCDCommand(char command);
void LCDData(char data);
void LCDClear(void);
void LCDHome(void);
void LCDText(char *str);
void LCDValue(unsigned int value);
void LCDValue_t(char value);
void LCDValueSpace(unsigned int value, char space);
void TempDisp(unsigned int temp);
void LCDLocate(char lcd_y, char lcd_x);
void LCDSetSpecs(char* pData);
void LCDSetSpecChar(char spec, char* pData);




#endif //LCD_H
